function ph = plot_centroids(grid, axish)
if nargin<2
    axish = gca;
end
edge_col = [1 1 0];
face_col = [1 1 0];

ph = plot(axish, grid.centroids(:,1), grid.centroids(:,2), 'o', 'MarkerEdgeColor', edge_col, 'MarkerFaceColor', face_col);
return;